Skip to main content
GET
List events

Authorizations

Authorization
string
header
required

Secret key, kc_sk_test_... or kc_sk_live_.... Server-side only.

Query Parameters

limit
integer
default:20
Required range: 1 <= x <= 100
starting_after
string

Cursor from a previous page's next_cursor.

type
enum<string>
Available options:
checkout_session.completed,
checkout_session.expired,
payment.authorized,
payment.captured,
payment.partially_captured,
payment.failed,
payment.canceled,
payment.expired,
payment.amount_updated,
payment.amount_mismatch,
payment.fraud_reported,
capture.failed,
refund.succeeded,
refund.failed,
dispute.created,
dispute.updated,
dispute.funds_withdrawn,
dispute.won,
dispute.lost,
payment_method.attached,
payment_method.updated,
payment_method.detached
object_id
string

Response

A page of events, newest first.

object
string
required
Allowed value: "list"
data
object[]
required
has_more
boolean
required
next_cursor
string | null